cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/work-orders \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/work-orders"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/work-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"dates": {
"anticipated": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
},
"labels": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"dates": {
"scheduled": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
},
"counts": {
"operations": 0,
"streets": 0,
"properties": 0
},
"completeness": {
"percentage": {
"completed": 0,
"aborted": 0,
"unknown": 0,
"cancelled": 0
},
"counts": {
"completed": 0,
"aborted": 0,
"unknown": 0,
"cancelled": 0
},
"statuses": {
"counts": {
"done": 0,
"in_progress": 0,
"todo": 0
},
"percentages": {
"done": 0,
"in_progress": 0,
"todo": 0
}
},
"done_reasons": {
"counts": {
"aborted": 0,
"cancelled": 0,
"completed": 0
},
"percentages": {
"aborted": 0,
"cancelled": 0,
"completed": 0
}
}
}
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"scheme": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"operations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"assignees": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"template": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"site_managers": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 123,
"resources": 123
},
"current_page": 123,
"offsets": {
"next": 123,
"previous": 123
},
"requested": {
"limit": 123,
"offset": 123
}
},
"features": {
"include": {
"options": [
"<string>"
]
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"medical_dependency": true,
"on_ecr": true,
"animals": true,
"notes": "<string>",
"on_ecr_notes": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelled_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancellation_reason": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"author": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"interaction": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"operation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"time_band": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Work Orders
List work orders
List all of the users work orders.
GET
/
v3
/
work-orders
cURL
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Query Parameters
A comma separated list of related resources to include.
Available options:
appointments, assignees, operations, organisation, direct_permits, permits, properties, scheme, site_managers, streets, teams, template, folder Filters the response data based on the value provided.
Available filters:
id_in: Filter by work order ID(s)- 'organisation_in': Filter by organisation ID(s)
in_schemes: Filter for work orders in scheme(s) by their ID(s)
Project-role filters (cross-resource lookups against project role assignments):
has_role(<project_role_id>): Filter for work orders that have at least one active assignment for the given project role. Example:has_role(11111111-1111-1111-1111-111111111111).held_by(<user_id>): Filter for work orders where the given user holds at least one role (any role). Example:held_by(22222222-2222-2222-2222-222222222222).has_role_assignment(<project_role_id>,<user_id>): Filter for work orders where the given user holds the given role specifically. Example:has_role_assignment(11111111-1111-1111-1111-111111111111,22222222-2222-2222-2222-222222222222).
For more information on using named filters, see the docs
Limit the number of resources returned by the API
Required range:
x >= 1Offset the resources returned by the API
Required range:
x >= 0Response
List of work orders.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a work order is returned
An appointment
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
Show child attributes
Show child attributes
⌘I